Name:           x-tile
Version:        2.5.1
Release:        %mkrel 1
Summary:        A GTK application to tile windows in different ways
Group:          Graphical desktop/Other
License:        GPLv2+
URL:            http://www.giuspen.com/x-tile/
Source0:        http://www.giuspen.com/software/%{name}-%{version}.tar.xz
BuildArch:      noarch
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  pythonegg(2)(setuptools)

Requires:       gnome-python-gconf
Requires:       pygtk2

%description
X-tile is a GTK application that allows you to select a number of windows and
tile them in different ways. This is especially useful for comparing products
in separate web pages, or for programmers referring to documentation as they
are programming.

%prep
%setup -q

# Remove import of cons module in setup.py, only needed to get the current
# version of x-tile. The cons module calls the gtk one, which needs a running
# graphical session
sed -i "\|import cons|d; s|cons.VERSION|\"%{version}\"|" setup.py

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --no-compile --root %{buildroot}

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc license
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.svg
%{python2_sitelib}/*.egg-info
%{_mandir}/man1/%{name}.1.*


%changelog
* Thu Nov 26 2015 daviddavid <daviddavid> 2.5.1-1.mga6
+ Revision: 906308
- imported package x-tile

